ghc-mod-5.7.0.0: Happy Haskell Programming

Safe Haskell | None
Language | Haskell2010

Language.Haskell.GhcMod.World

# Documentation

data World #

Constructors

World |
Fields worldPackageCaches :: [TimedFile] worldCabalFile :: Maybe TimedFile worldCabalConfig :: Maybe TimedFile worldCabalSandboxConfig :: Maybe TimedFile worldMappedFiles :: FileMappingMap

Instances

Eq World # |
Methods (==) :: World -> World -> Bool # (/=) :: World -> World -> Bool #

timedPackageCaches :: IOish m => GhcModT m [TimedFile] #

getCurrentWorld :: IOish m => GhcModT m World #

didWorldChange :: IOish m => World -> GhcModT m Bool #

isYoungerThanSetupConfig :: FilePath -> World -> IO Bool #